Skip Headers
Oracle® Forms Upgrading Oracle Forms 6i to Oracle Forms 11g
11g Release 2 (11.1.2)

Part Number E24478-01
Go to Documentation Home
Home
Go to Table of Contents
Contents
Go to Index
Index
Go to Feedback page
Contact Us

Go to previous page
Previous
Go to next page
Next
PDF · Mobi · ePub

16 Upgrading from Pre-Forms 6i Applications to Oracle Forms

Forms Developer is upwardly compatible with earlier versions of Oracle Forms, including Versions 3.0, 4.0, 4.5, and 5.0.

Note:

If you are upgrading from releases of Forms before Forms 6i to Oracle Forms 11g, you must first upgrade your applications to Forms 10g (10.1.2), and then upgrade them to Oracle Forms 11g.

Note:

Before converting your forms or menus, it is recommended that you first make backup copies of all files. Once you upgrade a module, the module cannot be opened in an earlier version of Forms Developer.

16.1 Upgrading a Form

To upgrade a version 4.x or 5.x Forms application to Forms 10g (10.1.2):

  1. Start Forms 10g (10.1.2).

  2. Choose File | Open to display the file.

  3. Choose the module you want to upgrade.

  4. Click OK.

  5. Choose File | Save.

  6. Choose Program | Compile | All to compile the upgraded module.

Note:

All form modules and libraries must be upgraded and recompiled.

16.2 Upgrading files saved in Database

In order to streamline the tools available and simplify the development process for building Forms applications, the option of saving files to database has been removed. In Forms 6i, modules could be saved in the database. For all releases after 6i, module files that were saved in database must be saved to the file system.

  1. Open the prior version of Forms.

  2. Save the module files to the local file system.

  3. Upgrade the files as described in Section 16.1, "Upgrading a Form".

16.3 Compatibility with Earlier Versions of PL/SQL

If you have client-side program units written in PL/SQL V1 or V2, you must convert that code to the new level.

Stored program units can use all the PL/SQL features that are valid for use in client side PL/SQL. Certain PL/SQL features such as the supplied DBMS_LOB routines or DBMS packages that are specified as pragma interface (C, C++, etc) cannot be directly called from Client Side PL/SQL. Forms programs must call a stored procedure which in turn calls the routine in question in these restricted cases.

16.4 Forms Developer Runtime Behavior

The default run-time behavior of forms created with Forms 5.0 through 6i differed from run-time behavior for Forms 4.5. The form-level Runtime Compatibility Mode property could be set to "4.5" to provide Forms release 4.5 behavior. (This happened by default in forms that were upgraded from Forms release 4.5.)

Starting with Forms Developer, 5.0 behavior is used in all cases, and the form-level property "Runtime Compatibility Mode" is ignored.

If you are upgrading a form that specifies 4.5 behavior to Oracle Forms, you must alter the logic, as necessary, to reflect the differences between 4.5 and 5.0 behavior. See the Forms 11g Release 2 online help for information about the Runtime Compatibility Mode property and the differences between 4.5 and 5.0 behavior.